Bug 200647 - [exp-run][patch] Update devel/cmake, devel/cmake-gui and devel/cmake-modules to 3.2.3
Summary: [exp-run][patch] Update devel/cmake, devel/cmake-gui and devel/cmake-modules ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brad Davis
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-04 21:07 UTC by Brad Davis
Modified: 2015-06-16 20:28 UTC (History)
2 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
patch (8.54 KB, patch)
2015-06-04 21:07 UTC, Brad Davis
no flags Details | Diff
patch (9.42 KB, patch)
2015-06-05 15:09 UTC, Brad Davis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2015-06-04 21:07:55 UTC
Created attachment 157418 [details]
patch

This patch updates cmake to 3.2.3
Comment 1 Antoine Brodin freebsd_committer 2015-06-05 03:21:08 UTC
Reset exp-run flag,  before requesting an exp-run this needs review by maintainer.
Comment 2 Brad Davis freebsd_committer 2015-06-05 15:09:21 UTC
Created attachment 157435 [details]
patch

Also update devel/cmake-gui
Comment 3 Raphael Kubo da Costa freebsd_committer 2015-06-09 20:35:02 UTC
Thanks, I've tested the patch on Poudriere and everything works fine. Let's ask for an exp-run.
Comment 4 Raphael Kubo da Costa freebsd_committer 2015-06-09 20:35:52 UTC
Hi portmgr, can you please do an exp-run on brd's patch?

https://bz-attachments.freebsd.org/attachment.cgi?id=157435
Comment 5 Antoine Brodin freebsd_committer 2015-06-11 21:31:10 UTC
Take for exp-run
Comment 6 Antoine Brodin freebsd_committer 2015-06-13 05:14:53 UTC
Exp-run results on 10.1 amd64 :

http://package18.nyi.freebsd.org/build.html?mastername=101amd64-default-PR200647&build=2015-06-12_19h38m49s

4 new failures:

+ {"origin"=>"emulators/dolphin-emu", "pkgname"=>"dolphin-emu-4.0.2_3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"games/megaglest", "pkgname"=>"megaglest-3.9.0.4_7", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"games/memonix", "pkgname"=>"memonix-1.6.070713_10", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}
+ {"origin"=>"science/avogadro", "pkgname"=>"avogadro-1.1.1_3", "phase"=>"build", "errortype"=>"missing_LDFLAGS"}

Failure logs:

http://package18.nyi.freebsd.org/data/101amd64-default-PR200647/2015-06-12_19h38m49s/logs/errors/dolphin-emu-4.0.2_3.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR200647/2015-06-12_19h38m49s/logs/errors/megaglest-3.9.0.4_7.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR200647/2015-06-12_19h38m49s/logs/errors/memonix-1.6.070713_10.log
http://package18.nyi.freebsd.org/data/101amd64-default-PR200647/2015-06-12_19h38m49s/logs/errors/avogadro-1.1.1_3.log
Comment 7 Antoine Brodin freebsd_committer 2015-06-14 05:26:38 UTC
Exp-run results provided
Comment 8 Raphael Kubo da Costa freebsd_committer 2015-06-15 22:10:15 UTC
I've fixed all 4 failures. lgtm to Brad's patch.
Comment 9 commit-hook freebsd_committer 2015-06-16 20:25:33 UTC
A commit references this bug:

Author: brd
Date: Tue Jun 16 20:25:08 UTC 2015
New revision: 389861
URL: https://svnweb.freebsd.org/changeset/ports/389861

Log:
  Update devel/cmake, devel/cmake-gui and devel/cmake-modules to 3.2.3.

  Thank you to antonie@ for the exp-run and rakuco@ for fixing the ports that needed fixes.

  PR:		200647
  Approved by:	bdrewery (mentor)

Changes:
  head/devel/cmake/Makefile
  head/devel/cmake/distinfo
  head/devel/cmake/pkg-plist
  head/devel/cmake-gui/Makefile
  head/devel/cmake-gui/pkg-plist
  head/devel/cmake-modules/pkg-plist